import D3Set from '@/api/setting-center/D3Set'
import _ from 'lodash'

class D3SetApi {
  constructor() {
    this.api = new D3Set()
  }

  // 根据tabs选中的activeName拉取对应的数据
  // name是第三方设置中的activeName
  loadByName(name) {
    const l = this.api.loadByName(name)
    return l.then(res => {
      const data = res.data
      return _.cloneDeep(data)
    })
  }

  // 提交数据，name是第三方设置中的activeName，data是要提交的数据
  updataByName(name, data) {
    // log(data, 'in updata')
    const d = JSON.stringify(data)
    const u = this.api.updataByName(name, d)
    return u
  }
}

const d3Api = new D3SetApi()

export default d3Api
